  h1 {
    margin-top: 300px;
    padding: 10px;
  }
  .gallery {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    grid-gap: 10px;
    margin: 0 auto;
    max-width: 1000px;
    border-bottom: 1px solid #ECCFD7;
    border-top: 1px solid #ECCFD7;
  }
  
  .gallery img {
    width: 100%;
    height: 300px;
    border-radius: 5px;
    margin: 20px;
    color: #ECCFD7;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    transition: box-shadow 0.3s, transform 0.3s; 
  }
  
  .gallery img:hover {
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.3); 
    transform: scale(1.1); 
  }
  .overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.7);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 9999;
  }

  .overlay img {
    max-width: 80%;
    max-height: 80%;
    object-fit: contain;
  }
  .gallery.grid {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 20px;
  }
  
  .video-gallery video {
    width: 100%;
    max-width: 200px; 
    border-radius: 5px;
    margin: 10px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    transition: box-shadow 0.3s, transform 0.3s; 
  }

  .video-gallery video:hover {
    transform: scale(1.1);
  }
  /* Responsive Styles */
  @media screen and (max-width: 768px) {
    .gallery {
      grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    }
  .gallery img {
    margin: 10px;
  }
  .video-gallery video {
    max-width: 150px;
  }
  }
  /* Further adjust for smaller screens */
  @media screen and (max-width: 480px) {
    .gallery {
      grid-template-columns: repeat(auto-fit, minmax(150px, 1fr));
    }
    .gallery img {
      margin: 10px;
    }
  
   .video-gallery video {
    max-width: 100px;
  }
}





